Add space between the mode and the 'm' switch when passed to install(1) for compatibi...
authorKito <kito@gentoo.org>
Mon, 27 Feb 2006 17:20:39 +0000 (17:20 -0000)
committerKito <kito@gentoo.org>
Mon, 27 Feb 2006 17:20:39 +0000 (17:20 -0000)
svn path=/main/branches/prefix/; revision=2796

bin/dobin
bin/dohtml
bin/doinfo
bin/dolib.a
bin/dolib.so
bin/doman
bin/dosbin
bin/ebuild.sh

index 71374d78182e693c8aed12eb905dfedd3f9134b6..bd57cb340a4dc2d434ddb00f8822564c7678da70 100755 (executable)
--- a/bin/dobin
+++ b/bin/dobin
@@ -16,7 +16,7 @@ ret=0
 
 for x in "$@" ; do
        if [[ -e ${x} ]] ; then
-               install -m0755 -o @rootuser@ -g @wheelgroup@ "${x}" "${D}${DESTTREE}/bin"
+               install -m 0755 -o @rootuser@ -g @wheelgroup@ "${x}" "${D}${DESTTREE}/bin"
        else
                echo "!!! ${0##*/}: ${x} does not exist" 1>&2
                false
index 05f04bcce018ecceda2cb000b7eecc85dea0c4d6..c6b712d4e55bd0f0858b6fc182d2464dacbcb96e 100755 (executable)
@@ -39,7 +39,7 @@ def dodir(path):
 
 def dofile(src,dst):
 
-       os.system("install -m0644 '%s' '%s'" % (src, dst))
+       os.system("install -m 0644 '%s' '%s'" % (src, dst))
 
 def install(basename, dirname, options, prefix=""):
 
index 497ee3144da3b10e0420c742ecd99e2118863599..7b7c9cd524312c2b5c33dea24822e548a285050f 100755 (executable)
@@ -13,7 +13,7 @@ fi
 
 for x in "$@" ; do
        if [ -e "${x}" ] ; then
-               install -m0644 "${x}" "${D}/usr/share/info"
+               install -m 0644 "${x}" "${D}/usr/share/info"
                gzip -f -9 "${D}/usr/share/info/${x##*/}"
        else
                echo "doinfo: ${x} does not exist"
index 839fad811596cdb085df22a8256b295d713d056c..ffe0c9afa34b0043461d61e77018a5f4636d368c 100755 (executable)
@@ -3,5 +3,5 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id: /var/cvsroot/gentoo-src/portage/bin/dolib.a,v 1.8 2004/10/10 10:07:20 carpaski Exp $
 
-exec env LIBOPTIONS="-m0644" \
+exec env LIBOPTIONS="-m 0644" \
        dolib "$@"
index 4c3401c2eb113321000ac7f844e04169fd0e1feb..bb7ece710c27ada7036bcc3a2cf60650bafa6eec 100755 (executable)
@@ -3,5 +3,5 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id: /var/cvsroot/gentoo-src/portage/bin/dolib.so,v 1.12 2004/10/10 10:07:20 carpaski Exp $
 
-exec env LIBOPTIONS="-m0755" \
+exec env LIBOPTIONS="-m 0755" \
        dolib "$@"
index 665e7fdc25eae47c98990790c33870403547193c..410a67fb3bdb34928b73ce4009175da53877600e 100755 (executable)
--- a/bin/doman
+++ b/bin/doman
@@ -37,7 +37,7 @@ for x in "$@" ; do
                                install -d "${D}/usr/share/man/${mandir}"
                        fi
 
-                       install -m0644 "${x}" "${D}/usr/share/man/${mandir}"
+                       install -m 0644 "${x}" "${D}/usr/share/man/${mandir}"
                        ((ret+=$?))
                elif [[ ! -e ${x} ]] ; then
                        echo "doman: ${x} does not exist" 1>&2
index b294114b5898c9a38f58111d193e2730fa228e93..811e51031a673b63cf29c4747a45cd7cbbe91e62 100755 (executable)
@@ -16,7 +16,7 @@ ret=0
 
 for x in "$@" ; do
        if [[ -e ${x} ]] ; then
-               install -m0755 -o @rootuser@ -g @wheelgroup@ "${x}" "${D}${DESTTREE}/sbin"
+               install -m 0755 -o @rootuser@ -g @wheelgroup@ "${x}" "${D}${DESTTREE}/sbin"
        else
                echo "!!! ${0##*/}: ${x} does not exist" 1>&2
                false
index 69917e7ff26e3caec9bcf812063e878fa015842e..5fe63a6c102c06f5c2dca4a33d63e2824ea7a999 100755 (executable)
@@ -459,10 +459,10 @@ export DESTTREE=/usr
 export INSDESTTREE=""
 export EXEDESTTREE=""
 export DOCDESTTREE=""
-export INSOPTIONS="-m0644"
-export EXEOPTIONS="-m0755"
-export LIBOPTIONS="-m0644"
-export DIROPTIONS="-m0755"
+export INSOPTIONS="-m 0644"
+export EXEOPTIONS="-m 0755"
+export LIBOPTIONS="-m 0644"
+export DIROPTIONS="-m 0755"
 export MOPREFIX=${PN}
 
 check_KV() {
@@ -847,7 +847,7 @@ dyn_unpack() {
                fi
        fi
 
-       install -m0700 -d "${WORKDIR}" || die "Failed to create dir '${WORKDIR}'"
+       install -m 0700 -d "${WORKDIR}" || die "Failed to create dir '${WORKDIR}'"
        [ -d "$WORKDIR" ] && cd "${WORKDIR}"
        echo ">>> Unpacking source..."
        src_unpack
@@ -2100,7 +2100,7 @@ for myarg in $*; do
                #dbkey=${PORTAGE_CACHEDIR}/${CATEGORY}/${PF}
 
                if [ ! -d "${dbkey%/*}" ]; then
-                       install -d -g ${PORTAGE_GID} -m2775 "${dbkey%/*}"
+                       install -d -g ${PORTAGE_GID} -m 2775 "${dbkey%/*}"
                fi
 
                # Make it group writable. 666&~002==664
@@ -2151,7 +2151,7 @@ if [ "$myarg" != "clean" ]; then
        # Save current environment and touch a success file. (echo for success)
        umask 002
        set | @EGREP@ -v "^SANDBOX_" > "${T}/environment" 2>/dev/null
-       chown portage:portage "${T}/environment" &>/dev/null
+       chown @portageuser@:@portagegroup@ "${T}/environment" &>/dev/null
        chmod g+w "${T}/environment" &>/dev/null
 fi